<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.BeaconMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.Beacon">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="name" property="name" />
        <result column="mac" property="mac" />
        <result column="uuid" property="uuid" />
        <result column="major" property="major" />
        <result column="minor" property="minor" />
        <result column="power" property="power" />
        <result column="broadcast_interval" property="broadcastInterval" />
        <result column="trans_rate" property="transRate" />
        <result column="nfc_id" property="nfcId" />
        <result column="check_code" property="checkCode" />
        <result column="qrcode_url" property="qrcodeUrl" />
        <result column="image_url" property="imageUrl" />
        <result column="qrcode_binding_state" property="qrcodeBindingState" />
        <result column="nfc_binding_state" property="nfcBindingState" />
        <result column="no" property="no" />
        <result column="coordinate_x" property="coordinateX" />
        <result column="coordinate_y" property="coordinateY" />
        <result column="scene_name" property="sceneName" />
        <result column="scene_id" property="sceneId" />
        <result column="scene_level" property="sceneLevel" />
        <result column="operation_id" property="operationId" />
        <result column="operation_user" property="operationUser" />
        <result column="operation_time" property="operationTime" />
        <result column="agent_id" property="agentId" />
        <result column="property_id" property="propertyId" />
        <result column="district_id" property="districtId" />
        <result column="agent_name" property="agentName" />
        <result column="property_name" property="propertyName" />
        <result column="district_name" property="districtName" />
        <result column="building_id" property="buildingId" />
        <result column="building_name" property="buildingName" />
        <result column="floor_id" property="floorId" />
        <result column="floor_name" property="floorName" />
        <result column="multistage_grid_id" property="multistageGridId" />
        <result column="multistage_grid_name" property="multistageGridName" />
        <result column="beacon_area_position_id" property="beaconAreaPositionId" />
        <result column="beacon_point_manage_id" property="beaconPointManageId" />
        <result column="rssi_threshold" property="rssiThreshold" />
        <result column="rssi_radius" property="rssiRadius" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, name, mac, uuid, major, minor, power, broadcast_interval, trans_rate, nfc_id, check_code, qrcode_url, image_url, qrcode_binding_state, nfc_binding_state, no, coordinate_x, coordinate_y, scene_name, scene_id, scene_level, operation_id, operation_user, operation_time, agent_id, property_id, district_id, agent_name, property_name, district_name, building_id, building_name, floor_id, floor_name, multistage_grid_id, multistage_grid_name, beacon_area_position_id, beacon_point_manage_id, rssi_threshold, rssi_radius
    </sql>

</mapper>
